FLAC: FLAC++/metadata.h: metadata level 0 interface

Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC++/metadata.h: metadata level 0 interface
[FLAC++/metadata.h: metadata interfaces]

## Detailed Description

Level 0 metadata iterators.

See the C layer equivalent for more.

## Functions
bool | FLAC::Metadata::get_streaminfo (const char *filename, StreamInfo &streaminfo)
bool | FLAC::Metadata::get_tags (const char *filename, VorbisComment *&tags)
bool | FLAC::Metadata::get_tags (const char *filename, VorbisComment &tags)
bool | FLAC::Metadata::get_cuesheet (const char *filename, CueSheet *&cuesheet)
bool | FLAC::Metadata::get_cuesheet (const char *filename, CueSheet &cuesheet)
bool | FLAC::Metadata::get_picture (const char *filename, Picture *&picture,::FLAC__StreamMetadata_Picture_Type type, const char *mime_type, const FLAC__byte *description, unsigned max_width, unsigned max_height, unsigned max_depth, unsigned max_colors)
bool | FLAC::Metadata::get_picture (const char *filename, Picture &picture,::FLAC__StreamMetadata_Picture_Type type, const char *mime_type, const FLAC__byte *description, unsigned max_width, unsigned max_height, unsigned max_depth, unsigned max_colors)

## Function Documentation

bool FLAC::Metadata::get_streaminfo | ( | const char * | filename,
|  | StreamInfo & | streaminfo
| ) |

| See FLAC__metadata_get_streaminfo().

bool FLAC::Metadata::get_tags | ( | const char * | filename,
|  | VorbisComment *& | tags
| ) |

| See FLAC__metadata_get_tags().

bool FLAC::Metadata::get_tags | ( | const char * | filename,
|  | VorbisComment & | tags
| ) |

| See FLAC__metadata_get_tags().

bool FLAC::Metadata::get_cuesheet | ( | const char * | filename,
|  | CueSheet *& | cuesheet
| ) |

| See FLAC__metadata_get_cuesheet().

bool FLAC::Metadata::get_cuesheet | ( | const char * | filename,
|  | CueSheet & | cuesheet
| ) |

| See FLAC__metadata_get_cuesheet().

bool FLAC::Metadata::get_picture | ( | const char * | filename,
|  | Picture *& | picture,
|  | ::FLAC__StreamMetadata_Picture_Type | type,
|  | const char * | mime_type,
|  | const FLAC__byte * | description,
|  | unsigned | max_width,
|  | unsigned | max_height,
|  | unsigned | max_depth,
|  | unsigned | max_colors
| ) |

| See FLAC__metadata_get_picture().

bool FLAC::Metadata::get_picture | ( | const char * | filename,
|  | Picture & | picture,
|  | ::FLAC__StreamMetadata_Picture_Type | type,
|  | const char * | mime_type,
|  | const FLAC__byte * | description,
|  | unsigned | max_width,
|  | unsigned | max_height,
|  | unsigned | max_depth,
|  | unsigned | max_colors
| ) |

| See FLAC__metadata_get_picture().

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |